Package com.collibra.dgc.core.api.dto.validation

# Class FindValidationResultRequest

Object
PagedRequest
FindValidationResultRequest

All Implemented Interfaces:
  `Serializable`

public class FindValidationResultRequest extends PagedRequest
The search criteria for validation results.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned validation results satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 assets is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindValidationResultRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindValidationResultRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindValidationResultRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  The unique identifier of the asset for which we are searching validation results.
  `UUID`
  `getJobId()`
  The unique identifier of the job for which we are searching validation results.
  `Boolean`
  `getMostRecentExecution()`
  Check the validationResults of only the most recent execution (inside or outside a validation job) according to the other criteria.
  `Boolean`
  `getMostRecentJob()`
  Check the validationResults of only the most recent job according to the other criteria.
  `Boolean`
  `getResult()`
  Filter on the result of validation results.
  `UUID`
  `getValidationRuleId()`
  The unique identifier of the validation rule for which we are searching validation results.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  The unique identifier of the asset for which we are searching validation results.
  `void`
  `setJobId(UUID jobId)`
  The unique identifier of the job for which we are searching validation results.
  `void`
  `setMostRecentExecution(Boolean mostRecentExecution)`
  Check the validationResults of only the most recent execution (inside or outside a validation job) according to the other criteria.
  `void`
  `setMostRecentJob(Boolean mostRecentJob)`
  Check the validationResults of only the most recent job according to the other criteria.
  `void`
  `setResult(Boolean result)`
  Filter on the result of validation results.
  `void`
  `setValidationRuleId(UUID validationRuleId)`
  The unique identifier of the validation rule for which we are searching validation results.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindValidationResultRequest

    public FindValidationResultRequest()

- ## Method Details

  - ### builder

    public static FindValidationResultRequest.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    The unique identifier of the asset for which we are searching validation results.

  - ### getJobId

    public UUID getJobId()
    The unique identifier of the job for which we are searching validation results.

  - ### getValidationRuleId

    public UUID getValidationRuleId()
    The unique identifier of the validation rule for which we are searching validation results.

  - ### getMostRecentJob

    public Boolean getMostRecentJob()
    Check the validationResults of only the most recent job according to the other criteria.

  - ### getMostRecentExecution

    public Boolean getMostRecentExecution()
    Check the validationResults of only the most recent execution (inside or outside a validation job) according to the other criteria.

  - ### getResult

    public Boolean getResult()
    Filter on the result of validation results.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    The unique identifier of the asset for which we are searching validation results.

  - ### setJobId

    public void setJobId(UUID jobId)
    The unique identifier of the job for which we are searching validation results.

  - ### setValidationRuleId

    public void setValidationRuleId(UUID validationRuleId)
    The unique identifier of the validation rule for which we are searching validation results.

  - ### setMostRecentJob

    public void setMostRecentJob(Boolean mostRecentJob)
    Check the validationResults of only the most recent job according to the other criteria.

  - ### setMostRecentExecution

    public void setMostRecentExecution(Boolean mostRecentExecution)
    Check the validationResults of only the most recent execution (inside or outside a validation job) according to the other criteria.

  - ### setResult

    public void setResult(Boolean result)
    Filter on the result of validation results.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`